<?php

function controlador() {
  $CI = & get_instance();
  return $CI->router->fetch_class();
}

function tabla() {
  $CI = & get_instance();
  return $CI->router->fetch_class();
}

function titulo_controlador() {
  return humanize(controlador());
}

function modelo() {
  return ucfirst(controlador()) . '_model';
}

function mensaje_alerta($tipo, $accion) {
  $CI = & get_instance();
  switch ($tipo) {
    case 'hecho' :
    return $CI->session->set_flashdata('mensaje', '<div class="alert alert-success alert-dismissable">'
    .'<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>'
    .$CI->lang->line('mensaje_'.$tipo.'_'.$accion).'</div>');
    case 'error' :
    return $CI->session->set_flashdata('mensaje', '<div class="alert alert-danger alert-dismissable">'
    .'<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>'
    .$CI->lang->line('mensaje_'.$tipo.'_'.$accion).'</div>');
  }
}

function getMenuHijos($id) {
  $CI = & get_instance();
  return $CI->db->where('menu_id',$id)->order_by('posicion','asc')->get('menu')->result();
}

function estadosunatcolor($estado) {
  $estado_sunat[''] = '';
  $estado_sunat['0000'] = '';
  $estado_sunat['soap-env:Client.0130'] = '';
  $estado_sunat['soap-env:Client.0151'] = '';
  $estado_sunat['soap-env:Client.1032'] = '<span class="badge badge-danger">RECHAZADO</span>';
  $estado_sunat['soap-env:Client.2638'] = '<span class="badge badge-danger">RECHAZADO</span>';
  $estado_sunat['soap-env:Client.1033'] = '<span class="badge badge-info">ACEPTADO</span>';
  $estado_sunat['0'] = '<span class="badge badge-info">ACEPTADO</span>';
  $estado_sunat['3105'] = '<span class="badge badge-warning">El XML debe contener al menos un tributo por linea de afectacion por IGV</span>';
  $estado_sunat['2017'] = 'El numero de documento de identidad del receptor debe ser  RUC';
  $estado_sunat['2325'] = 'El certificado usado no es el comunicado a SUNAT';
  $estado_sunat['2108'] = 'Presentacion fuera de fecha';
  $estado_sunat[''] = '';
  $estado_sunat[''] = '';
  $estado_sunat[''] = '';
  return $estado_sunat[$estado];
}
